Method: advertisers.lineItems.bulkEditLineItemAssignedTargetingOptions

  • This operation allows for bulk editing of targeting options for a single line item by deleting and creating assigned targeting options in a batch.

  • Requests to this endpoint cannot be made concurrently with other requests that update the same line item, including other bulk edit requests, patch requests, or individual create/delete assigned targeting option requests.

  • The request uses an HTTP POST method with specific path parameters for the advertiser and line item IDs.

  • The request body includes separate lists for targeting options to be deleted and those to be created.

  • The response body lists the assigned targeting options that were successfully created.

  • This operation requires the https://www.googleapis.com/auth/display-video OAuth scope for authorization.

Bulk edits targeting options under a single line item. The operation will delete the assigned targeting options provided in BulkEditLineItemAssignedTargetingOptionsRequest.delete_requests and then create the assigned targeting options provided in BulkEditLineItemAssignedTargetingOptionsRequest.create_requests.

Requests to this endpoint cannot be made concurrently with the following requests updating the same line item:

HTTP request

POST https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiserId}/lineItems/{lineItemId}:bulkEditLineItemAssignedTargetingOptions

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
advertiserId

string (int64 format)

Required. The ID of the advertiser the line item belongs to.

lineItemId

string (int64 format)

Required. The ID of the line item the assigned targeting option will belong to.

Request body

The request body contains data with the following structure:

JSON representation
{
  "deleteRequests": [
    {
      object (DeleteAssignedTargetingOptionsRequest)
    }
  ],
  "createRequests": [
    {
      object (CreateAssignedTargetingOptionsRequest)
    }
  ]
}
Fields
deleteRequests[]

object (DeleteAssignedTargetingOptionsRequest)

The assigned targeting options to delete in batch, specified as a list of DeleteAssignedTargetingOptionsRequest.

createRequests[]

object (CreateAssignedTargetingOptionsRequest)

The assigned targeting options to create in batch, specified as a list of CreateAssignedTargetingOptionsRequest.

Response body

If successful, the response body contains data with the following structure:

JSON representation
{
  "createdAssignedTargetingOptions": [
    {
      object (AssignedTargetingOption)
    }
  ]
}
Fields
createdAssignedTargetingOptions[]

object (AssignedTargetingOption)

The list of assigned targeting options that have been successfully created.

This list will be absent if empty.

Authorization Scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.